org.apache.uima.cas.text

## Class AnnotationPredicates

- java.lang.Object
- - org.apache.uima.cas.text.AnnotationPredicates

-     public final class AnnotationPredicates
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationPredicates()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `beginningWith(AnnotationFS aX, AnnotationFS aY)`
    `static boolean` | `beginningWith(AnnotationFS aX, int aYBegin, int aYEnd)`
    `static boolean` | `beginningWith(int aXBegin, int aXEnd, int aYBegin, int aYEnd)`
    `static boolean` | `colocated(AnnotationFS aX, AnnotationFS aY)` X starts and ends at the same position as Y.
    `static boolean` | `colocated(AnnotationFS aX, int aYBegin, int aYEnd)`
    `static boolean` | `colocated(int aXBegin, int aXEnd, int aYBegin, int aYEnd)`
    `static boolean` | `coveredBy(AnnotationFS aX, AnnotationFS aY)` Y is starting before or at the same position as A and ends after or at the same position as X.
    `static boolean` | `coveredBy(AnnotationFS aX, int aYBegin, int aYEnd)`
    `static boolean` | `coveredBy(int aXBegin, int aXEnd, int aYBegin, int aYEnd)`
    `static boolean` | `covering(AnnotationFS aX, AnnotationFS aY)` X is starting before or at the same position as Y and ends after or at the same position as Y.
    `static boolean` | `covering(AnnotationFS aX, int aYBegin, int aYEnd)`
    `static boolean` | `covering(int aXBegin, int aXEnd, int aYBegin, int aYEnd)`
    `static boolean` | `endingWith(AnnotationFS aX, AnnotationFS aY)`
    `static boolean` | `endingWith(AnnotationFS aX, int aYBegin, int aYEnd)`
    `static boolean` | `endingWith(int aXBegin, int aXEnd, int aYBegin, int aYEnd)`
    `static boolean` | `following(AnnotationFS aX, AnnotationFS aY)` X starts at or after the position that Y ends.
    `static boolean` | `following(AnnotationFS aX, int aYBegin, int aYEnd)`
    `static boolean` | `following(int aXBegin, int aXEnd, int aYBegin, int aYEnd)`
    `static boolean` | `overlapping(AnnotationFS aX, AnnotationFS aY)` The intersection of the spans X and Y is non-empty.
    `static boolean` | `overlapping(AnnotationFS aX, int aYBegin, int aYEnd)`
    `static boolean` | `overlapping(int aXBegin, int aXEnd, int aYBegin, int aYEnd)`
    `static boolean` | `overlappingAtBegin(AnnotationFS aX, AnnotationFS aY)` X is starting before or at the same position as Y and ends before Y ends.
    `static boolean` | `overlappingAtBegin(AnnotationFS aX, int aYBegin, int aYEnd)`
    `static boolean` | `overlappingAtBegin(int aXBegin, int aXEnd, int aYBegin, int aYEnd)`
    `static boolean` | `overlappingAtEnd(AnnotationFS aX, AnnotationFS aY)` X is starting after Y starts and ends after or at the same position as Y.
    `static boolean` | `overlappingAtEnd(AnnotationFS aX, int aYBegin, int aYEnd)`
    `static boolean` | `overlappingAtEnd(int aXBegin, int aXEnd, int aYBegin, int aYEnd)`
    `static boolean` | `preceding(AnnotationFS aX, AnnotationFS aY)` X ends before or at the position that Y starts.
    `static boolean` | `preceding(AnnotationFS aX, int aYBegin, int aYEnd)`
    `static boolean` | `preceding(int aXBegin, int aXEnd, int aYBegin, int aYEnd)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationPredicates

          public AnnotationPredicates()

  - ### Method Detail

    - #### coveredBy

          public static boolean coveredBy(int aXBegin,
                                          int aXEnd,
                                          int aYBegin,
                                          int aYEnd)

    - #### coveredBy

          public static boolean coveredBy(AnnotationFS aX,
                                          int aYBegin,
                                          int aYEnd)

    - #### coveredBy

          public static boolean coveredBy(AnnotationFS aX,
                                          AnnotationFS aY)

      Y is starting before or at the same position as A and ends after or at the same position as X.
      Parameters:
        `aX` - X
        `aY` - Y
      Returns:
        whether X is covered by Y.

    - #### covering

          public static boolean covering(int aXBegin,
                                         int aXEnd,
                                         int aYBegin,
                                         int aYEnd)

    - #### covering

          public static boolean covering(AnnotationFS aX,
                                         int aYBegin,
                                         int aYEnd)

    - #### covering

          public static boolean covering(AnnotationFS aX,
                                         AnnotationFS aY)

      X is starting before or at the same position as Y and ends after or at the same position as Y.
      Parameters:
        `aX` - X
        `aY` - Y
      Returns:
        whether X is covering Y.

    - #### colocated

          public static boolean colocated(int aXBegin,
                                          int aXEnd,
                                          int aYBegin,
                                          int aYEnd)

    - #### colocated

          public static boolean colocated(AnnotationFS aX,
                                          int aYBegin,
                                          int aYEnd)

    - #### colocated

          public static boolean colocated(AnnotationFS aX,
                                          AnnotationFS aY)

      X starts and ends at the same position as Y.
      Parameters:
        `aX` - X
        `aY` - Y
      Returns:
        whether X is at the same location as Y.

    - #### overlapping

          public static boolean overlapping(int aXBegin,
                                            int aXEnd,
                                            int aYBegin,
                                            int aYEnd)

    - #### overlapping

          public static boolean overlapping(AnnotationFS aX,
                                            int aYBegin,
                                            int aYEnd)

    - #### overlapping

          public static boolean overlapping(AnnotationFS aX,
                                            AnnotationFS aY)

      The intersection of the spans X and Y is non-empty. If either X or Y have a zero-width, then the intersection is considered to be non-empty if the begin of X is either within Y or the same as the begin of Y - and vice versa.
      Parameters:
        `aX` - X
        `aY` - Y
      Returns:
        whether X overlaps with Y in any way.

    - #### overlappingAtBegin

          public static boolean overlappingAtBegin(int aXBegin,
                                                   int aXEnd,
                                                   int aYBegin,
                                                   int aYEnd)

    - #### overlappingAtBegin

          public static boolean overlappingAtBegin(AnnotationFS aX,
                                                   int aYBegin,
                                                   int aYEnd)

    - #### overlappingAtBegin

          public static boolean overlappingAtBegin(AnnotationFS aX,
                                                   AnnotationFS aY)

      X is starting before or at the same position as Y and ends before Y ends.
      Parameters:
        `aX` - X
        `aY` - Y
      Returns:
        whether X overlaps Y on the left.

    - #### overlappingAtEnd

          public static boolean overlappingAtEnd(int aXBegin,
                                                 int aXEnd,
                                                 int aYBegin,
                                                 int aYEnd)

    - #### overlappingAtEnd

          public static boolean overlappingAtEnd(AnnotationFS aX,
                                                 int aYBegin,
                                                 int aYEnd)

    - #### overlappingAtEnd

          public static boolean overlappingAtEnd(AnnotationFS aX,
                                                 AnnotationFS aY)

      X is starting after Y starts and ends after or at the same position as Y.
      Parameters:
        `aX` - X
        `aY` - Y
      Returns:
        whether X overlaps Y on the right.

    - #### following

          public static boolean following(int aXBegin,
                                          int aXEnd,
                                          int aYBegin,
                                          int aYEnd)

    - #### following

          public static boolean following(AnnotationFS aX,
                                          int aYBegin,
                                          int aYEnd)

    - #### following

          public static boolean following(AnnotationFS aX,
                                          AnnotationFS aY)

      X starts at or after the position that Y ends.
      Parameters:
        `aX` - X
        `aY` - Y
      Returns:
        whether X is right of Y.

    - #### preceding

          public static boolean preceding(int aXBegin,
                                          int aXEnd,
                                          int aYBegin,
                                          int aYEnd)

    - #### preceding

          public static boolean preceding(AnnotationFS aX,
                                          int aYBegin,
                                          int aYEnd)

    - #### preceding

          public static boolean preceding(AnnotationFS aX,
                                          AnnotationFS aY)

      X ends before or at the position that Y starts.
      Parameters:
        `aX` - X
        `aY` - Y
      Returns:
        whether X left of Y.

    - #### beginningWith

          public static boolean beginningWith(int aXBegin,
                                              int aXEnd,
                                              int aYBegin,
                                              int aYEnd)

    - #### beginningWith

          public static boolean beginningWith(AnnotationFS aX,
                                              int aYBegin,
                                              int aYEnd)

    - #### beginningWith

          public static boolean beginningWith(AnnotationFS aX,
                                              AnnotationFS aY)

    - #### endingWith

          public static boolean endingWith(int aXBegin,
                                           int aXEnd,
                                           int aYBegin,
                                           int aYEnd)

    - #### endingWith

          public static boolean endingWith(AnnotationFS aX,
                                           int aYBegin,
                                           int aYEnd)

    - #### endingWith

          public static boolean endingWith(AnnotationFS aX,
                                           AnnotationFS aY)

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.